View Issue Details

IDProjectCategoryView StatusLast Update
0003986FreeCADBugpublic2019-07-29 15:01
ReporterchrisbAssigned Towmayer 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.19 
Target Version0.19Fixed in Version0.19 
Summary0003986: Changing view attributes does not trigger "File changed" status
DescriptionWhen any of view attributes such as face color is changed this is saved in the freecad file but does not trigger "File changed" status of the file and is not undoable.
Forum discussion
TagsNo tags attached.

Related Changesets

FreeCAD: master e7236d72

2019-05-26 16:09:41

wmayer

Details Diff
issue 0003986: Changing view attributes does not trigger 'File changed' status Affected Issues
0003986
mod - src/Mod/Part/Gui/TaskFaceColors.cpp Diff File
mod - src/Mod/Part/Gui/TaskFaceColors.h Diff File

FreeCAD: master f0b10ec8

2019-05-26 21:25:58

wmayer

Details Diff
fixes 0003986: Changing view attributes does not trigger 'File changed' status Affected Issues
0003986
mod - src/Gui/Document.cpp Diff File
mod - src/Gui/Document.h Diff File
mod - src/Gui/ViewProviderDocumentObject.cpp Diff File
mod - src/Gui/ViewProviderDocumentObject.h Diff File

Issue History

Date Modified Username Field Change
2019-05-22 06:30 chrisb New Issue
2019-05-25 02:22 Kunda1 Status new => confirmed
2019-05-25 02:22 Kunda1 Target Version => 0.19
2019-05-26 16:11 wmayer Note Added: 0013121
2019-05-26 21:27 wmayer Assigned To => wmayer
2019-05-26 21:27 wmayer Status confirmed => closed
2019-05-26 21:27 wmayer Resolution open => fixed
2019-05-26 21:27 wmayer Fixed in Version => 0.19
2019-05-26 21:27 wmayer Note Added: 0013122
2019-07-29 14:55 Kunda1 Changeset attached => FreeCAD master f0b10ec8
2019-07-29 15:01 Kunda1 Changeset attached => FreeCAD master e7236d72